Valorant API Unofficial docs
API Reference Local Endpoints
GET

Sessions

Gets info about the running Valorant process including start arguments Can be used to get shard, region, and puuid by parsing launch args.

Internal name RiotClientSession_FetchSessions Server Local client Auth Basic · lockfile
GET https://127.0.0.1:{port}/product-session/v1/external-sessions

Headers

Authorization string required
Value Basic {base64 encoded "riot:{lockfile password}"}— Base64 of riot:{lockfile password}, from the Riot Client lockfile

URL parameters

port number required

From the Riot Client lockfile.

How to get it

The port can be found from the lockfile (located at %LocalAppData%\Riot Games\Riot Client\Config\lockfile ) when the game is running. The file has the format name:pid:port:password:protocol

Other variables

lockfile password From the Riot Client lockfile.
Details

The password can be found from the lockfile (located at %LocalAppData%\Riot Games\Riot Client\Config\lockfile ) when the game is running. The file has the format name:pid:port:password:protocol

Riot Client lockfile

Response

exitCode number
exitReason null
isInternal boolean
launchConfiguration object
Show nested attributes Hide nested attributes 5
arguments array[string]
executable string
locale string nullable
voiceLocale null
workingDirectory string
patchlineFullName enum
"VALORANT""riot_client"
patchlineId enum
"""live""pbe"
phase string
productId enum
"valorant""riot_client"
version string